# Method: drives.insert

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/insert#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/insert#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/insert#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/insert#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/insert#try-it)

Creates a new shared drive.

### HTTP request

`POST https://www.googleapis.com/drive/v2/drives`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Required. An ID, such as a random UUID, which uniquely identifies this user's request for idempotent creation of a shared drive. A repeated request by the same user and with the same request ID will avoid creating duplicates by attempting to create the same shared drive. If the shared drive already exists a 409 error will be returned. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/drives#Drive`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/drives#Drive`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/drive`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).